#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 34. GNOME Applications

- Prev

  gnome-system-monitor-41.0

- Next

  gnome-tweaks-40.0

- Up
- Home

# gnome-terminal-3.42.2

## Introduction to GNOME Terminal

The GNOME Terminal package contains the terminal emulator for GNOME Desktop.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-terminal/3.42/gnome-terminal-3.42.2.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gnome-terminal/3.42/gnome-terminal-3.42.2.tar.xz

- Download MD5 sum: 26dd403c9bbfb51c6d632dd7f53301de

- Download size: 1.7 MB

- Estimated disk space required: 41 MB

- Estimated build time: 0.1 SBU

### GNOME Terminal Dependencies

#### Required

DConf-0.40.0, gnome-shell-41.4, gsettings-desktop-schemas-41.0, itstool-2.0.7, pcre2-10.39, and VTE-0.66.2

#### Recommended

Nautilus-41.2

#### Optional

desktop-file-utils-0.26, and appstream-glib

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gnome-terminal

## Installation of GNOME Terminal

First, fix building with newer versions of meson:

    sed -i '/merge_file/{n;d}' data/meson.build

Next, fix some deprecated schema entries:

    sed -i -r 's:"(/system):"/org/gnome\1:g' src/external.gschema.xml

Install GNOME Terminal by running the following commands:

    mkdir build &&
    cd   build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

### Note

To run GNOME Terminal, the environment variable `LANG` must be set to a UTF-8 locale prior to starting the graphical environment.

## Command Explanations

`-Dsearch_provider=false`: This switch disables the “search gnome-shell” provider. Use this option if you do not have gnome-shell installed.

`-Dnautilus_extension=false`: This switch disables a dependency on the nautilus file manager. Use this option if you do not have Nautilus installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Program: gnome-terminal
Installed Libraries: /usr/lib/nautilus/extensions-3.0/libterminal-nautilus.so (Nautilus Extension)
Installed Directories: /usr/{lib,share/help/*}/gnome-terminal

### Short Descriptions

gnome-terminal | is the GNOME Terminal Emulator

Last updated on

- Prev

  gnome-system-monitor-41.0

- Next

  gnome-tweaks-40.0

- Up
- Home